summaryrefslogtreecommitdiff
path: root/tests/mkdir/p-3
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-10-26 11:03:30 +0200
committerJim Meyering <jim@meyering.net>2006-10-26 11:03:30 +0200
commitb40b5b6917f62f59eff8f8bd913bd79e4cebe8f2 (patch)
tree8581923bfe75824980ae361df11e0a5bdcb3984c /tests/mkdir/p-3
parent95954ad5832e2dcc5709401643e615612281fc88 (diff)
downloadcoreutils-b40b5b6917f62f59eff8f8bd913bd79e4cebe8f2.tar.xz
Avoid a shell bug in Tru64 4.0 sh's handling of double-quoted strings.
[patch by Paul Eggert] * tests/chmod/c-option: When double-quoting part of a word, prefer to double-quote the whole word. This is a bit easier to read (at least for me), and in some cases it avoids a shell bug with Tru64 4.0 sh reported by Nelson H. F. Beebe. For example, instead of "$abs_srcdir"/../setgid-check we now write "$abs_srcdir/../setgid-check". * tests/cp/cp-parents: Likewise. * tests/du/inaccessible-cwd: Likewise. * tests/du/long-from-unreadable: Likewise. * tests/install/basic-1: Likewise. * tests/install/trap: Likewise. * tests/misc/close-stdout: Likewise. * tests/mkdir/concurrent-1: Likewise. * tests/mkdir/p-1: Likewise. * tests/mkdir/p-3: Likewise. * tests/mkdir/parents: Likewise. * tests/mkdir/perm: Likewise. * tests/readlink/can-e: Likewise. * tests/readlink/can-f: Likewise. * tests/readlink/can-m: Likewise. * tests/rm/inaccessible: Likewise. * tests/rm/unread3: Likewise. * tests/touch/no-create-missing: Likewise. * lib/.cvsignore: Add uinttostr.c.
Diffstat (limited to 'tests/mkdir/p-3')
-rwxr-xr-xtests/mkdir/p-314
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/mkdir/p-3 b/tests/mkdir/p-3
index d9e49d5dc..7f367178e 100755
--- a/tests/mkdir/p-3
+++ b/tests/mkdir/p-3
@@ -45,20 +45,20 @@ if test $framework_failure = 1; then
fi
p=$pwd/$tmp
-(cd no-access && chmod 0 . && mkdir -p "$p"/a/b u/v) 2> /dev/null && fail=1
-test -d "$p"/a/b || fail=1
+(cd no-access && chmod 0 . && mkdir -p "$p/a/b" u/v) 2> /dev/null && fail=1
+test -d "$p/a/b" || fail=1
# Same as above, but with a following *absolute* name, it should succeed
-(cd no-acce2s && chmod 0 . && mkdir -p "$p"/b/b "$p"/z) || fail=1
-test -d "$p"/b/b && test -d "$p"/z || fail=1
+(cd no-acce2s && chmod 0 . && mkdir -p "$p/b/b" "$p/z") || fail=1
+test -d "$p/b/b" && test -d "$p/z" || fail=1
# Same as above, but a trailing relative name in an unreadable directory
# whose parent is inaccessible. coreutils 5.97 fails this test.
-(cd no-acce3s/d && chmod a-rx .. && chmod a-r . && mkdir -p a/b "$p"/b/c d/e &&
+(cd no-acce3s/d && chmod a-rx .. && chmod a-r . && mkdir -p a/b "$p/b/c" d/e &&
test -d a/b && test -d d/e) || fail=1
-test -d "$p"/b/c || fail=1
+test -d "$p/b/c" || fail=1
-b=`ls "$p"/a|tr -d '\n'`
+b=`ls "$p/a" | tr -d '\n'`
# With coreutils-5.3.0, this would fail with $b=bu.
test "x$b" = xb || fail=1